Как скрыть версию WP

Автор: | Рубрика: Блог на Wordpress | Обновлено: 2015-03-14 | Создано:
Просмотров: 1015
Как скрыть версию WP

Привет всем!

В этой статье я хочу написать о том, как посмотреть версию WP, а также, как ее скрыть. У Вас, наверное, возник логический вопрос: а зачем мне скрывать версию WP движка. Большинству пользователей интернета все равно, какая у вашего блога версия WP, главное чтобы сайт нормально грузился. Но встречаются еще такие люди, которые любят взламывать чужие сайты и пакостить. Так вот, если они узнают версию движка вордпресс, то им будет легче взломать Ваш сайт. Вы заметили, что периодически выходят новые версии вордпресс и в админке появляется сообщение об этом. А на сайте разработчиков WP пишется, что вышла новая версия и она лучше предыдущей тем-то. Если в новой версии закрыты дыры, которые делали предыдущую версию менее безопасной, то об этом тоже пишу. И хакерам становится понятно через какую лазейку можно взломать сайт, у которого установлена более старая версия WordPress движка. Хакерам остается проверить у кого стоит старая версия и можно взламывать. Поэтому не забывайте вовремя обновить движок WordPress до последней версии, а также обновляйте плагины.

Как посмотреть версию движка, который установлен на Вашем сайте. Зайдите в админку и в самом верху перейдите в пункт меню Консоль - Главная. Если Вам предлагают обновиться до новой версии, то не игнорируйте это предложение и уделите пару минут обновлению.

А как узнать какая версия WordPress у любого другого блога? Нужно открыть исходный код страницы анализируемого сайта, нажав комбинацию клавиш CTRL+U и в самом верху найти мета тэг:

&lt;meta name="<a>generator</a>" content="<a>WordPress 3.4.2</a>" /&gt;

В примере, который я привела, версия WordPress 3.4.2. На сегодняшний день (день публикации статьи), самой последней версией WordPress является 3.5.1.

Остается ответить на вопрос: как скрыть версию WordPress от любопытных.

Есть два способа скрыть версию движка WordPress.

  1. Установите плагин Replace WP-Version. Все что нужно - установить и активировать его. И он сам скроет информацию о версии вордпресс.
  2. Добавить в файл functions.php небольшой код:
     remove_action('wp_head', 'wp_generator');

На этом у меня все. Если хотите что-то добавить, то пишите в комментариях.

С уважением, Виктория – блог inetsovety.ru

Поделиться ссылкой на пост в соц. сетях
Получать уведомления о новых статьях на e-mail
Комментариев: 14 к статье "Как скрыть версию WP"
  • Руслан 2015-11-19 в 11:40

    Код вставить даже быстрее чем плагин ставить) Вариант с кодом мне больше нравится

    Ответить
  • Александр 2014-04-30 в 19:29

    Нужно тоже попробовать такой способ. не знаю какие методы использовать для защиты вордпресс лучше всего. Пользуюсь плагинами. Попробую использовать ваш совет.

    Ответить
  • Фидан 2013-11-27 в 12:15

    Если обновлять плагины и версий движка, то это хорошо? Зачем тогда плагин «Disable WordPress Updates». Почти во всех блогах пишут, чтобы устанавливали этот плагин…

    Ответить
  • Сергей 2013-07-02 в 08:12

    Меры по защите своего блога нужно предпринимать с первого дня. Молодые блоги чаще всего взламываются.

    Ответить
    • Анатолий 2014-01-21 в 00:23

      Чтобы никто кроме Вас не мог попасть в админку вашего сайта сделайте вот таку вещ.
      1. Создайте в папке wp-admin файл с именем .htaccess
      2. Скопируйте этот код и вставте его в только что созданный файл .htaccess
      Вот код который нужно скопировать и вставить:

      order deny,allow
      deny from all

      order deny,allow
      deny from all
      allow from 78.111.186.52

      Где 78.111.186.52 это ip адрес которому будет разрешен доступ к папке wp-admin
      Каждый раз когда вам нужно будет зайти в админку вашего сайта, вы должни сначала зайти на етот сайт myip.ru на этом сайте будет показан ваш ip его нужно скопировать и вставить в файл .htaccess там где 78.111.186.52 Вот и все. Это самая лучшая защита для админки сайта

      Ответить
  • alf2012 2013-06-11 в 01:54

    Дело в том, что многие блоггеры не устанавливают сразу новую версию, а ждут пока она «обкатается» некоторое время. И взламывают не обязательно что бы угнать.

    Ответить
  • Sergey 2013-04-20 в 23:07

    В этом смысла не вижу, обновления в паблике всегда, в админке их пропустить тоже сложно, если сайт заброшен и никто его не обновляет, то и нужен он никому не будет, а если следят, то зайти на сайт вордпресса и узнать последнюю версию, всё равно одна-две лазейки всегда есть и их не перекрыть, если захотят угнать то уж точно спрашивать разрешения у владельца не будут))

    Ответить
    • Sergey 2013-04-20 в 23:10

      серьёзные сайты угоняют через хостинг, а там версия движка не важна… Примеров сотни в инете..

      Ответить
  • Анна 2013-04-20 в 14:25

    А мне кажется, что если хакеру и нужно будет взломать ваш сайт, так он это все равно сделает, на то он и хакер. И не важно, какие будут стоять защиты. Хотя я вообще не понимаю, зачем взламывать — это же банк какой то, где деньги лежат. Кому это нужно?

    Ответить
    • Виктория 2013-04-20 в 19:35

      Сайт могут взломать ради того, чтобы просто напакостить или вирус закинуть. Или же вдруг окажется, что пароль от сайта подходит к почте, на которую зарегистрирован кошелек с деньгами. Мотивов может быть много.

      Ответить
      • alf2012 2013-06-11 в 01:56

        Мне несколько раз внедряли кусок кода с кучей внешних ссылок. Правда вскрывали не админ панель — эта зараза лезла через хостинг 😈

        Ответить
      • Александр 2014-06-30 в 18:07

        Главное получить данные а что с ними сделать мошенники всегда разберутся

        Ответить
      • Иван Зелинский 2014-10-26 в 01:40

        Согласен с Вами Виктория, ведь мотивация и цель мошенников не известна а лишняя защита не повредит а наоборот дает надежду на защиту

        Ответить
        • Руслан 2015-11-19 в 11:42

          Защищаться нужно по максимуму семи доступными средствами )))

          Ответить
Оставить комментарий
Нажмите, чтобы отменить ответ.

Комментарий появится после проверки. Комментарии, содержащие спам и ненормативную лексику будут удалены!